<template>
  <div class="col-sm-6 col-lg-3">
    <div class="card rounded-12">
      <img
        :src="product.photo.MEDIUM"
        class="card-img-top rounded-12 p-1"
        alt="product"
      />
      <div class="card-body p-1 pb-2">
        <p class="text-truncate mb-0">{{ product.name }}</p>
        <!-- Breadcrumb -->
        <div class="d-flex align-items-center f-12">
          <span class="">خوزستان</span>
          <svg
            class="mx-1"
            width="6"
            height="9"
            viewBox="0 0 6 9"
            fill="none"
            xmlns="http://www.w3.org/2000/svg"
          >
            <path
              d="M2.1019 4.72341L4.8727 2.06841C5.01848 1.92789 5.10031 1.7378 5.10031 1.53966C5.10031 1.34152 5.01848 1.15143 4.8727 1.01091C4.79994 0.940615 4.71337 0.884819 4.61799 0.846743C4.52261 0.808666 4.4203 0.789062 4.31698 0.789062C4.21365 0.789062 4.11134 0.808666 4.01596 0.846743C3.92058 0.884819 3.83401 0.940615 3.76125 1.01091L0.442554 4.19091C0.369191 4.26063 0.310962 4.34358 0.271225 4.43498C0.231488 4.52637 0.211029 4.6244 0.211029 4.72341C0.211029 4.82242 0.231488 4.92045 0.271225 5.01184C0.310962 5.10324 0.369191 5.18619 0.442554 5.25591L3.76125 8.47341C3.83439 8.54292 3.92112 8.59792 4.01649 8.63524C4.11185 8.67256 4.21397 8.69148 4.31698 8.69091C4.41999 8.69148 4.5221 8.67256 4.61746 8.63524C4.71283 8.59792 4.79956 8.54292 4.8727 8.47341C5.01848 8.33289 5.10031 8.1428 5.10031 7.94466C5.10031 7.74652 5.01848 7.55643 4.8727 7.41591L2.1019 4.72341Z"
              fill="#7D7D7D"
            />
          </svg>

          <a class="">خوشمزه‌های خانگی</a>
        </div>
        <!-- Vote -->
        <div class="d-flex align-items-center justify-content-between">
          <div class="d-flex align-items-center">
            <svg
              width="11.58"
              height="12"
              viewBox="0 0 13 13"
              fill="none"
              xmlns="http://www.w3.org/2000/svg"
            >
              <path
                d="M12.3402 5.52976C12.3981 5.21533 12.1667 4.83801 11.8774 4.83801L8.57997 4.33491L7.07587 1.0648C7.01802 0.939024 6.96017 0.876138 6.84447 0.813251C6.55521 0.62459 6.20811 0.750364 6.03456 1.0648L4.58831 4.33491L1.29085 4.83801C1.1173 4.83801 1.0016 4.90089 0.943753 5.02667C0.712353 5.27821 0.712353 5.65553 0.943753 5.90708L3.31561 8.42255L2.73711 12.0071C2.73711 12.1329 2.73711 12.2586 2.79496 12.3844C2.96851 12.6989 3.31561 12.8246 3.60486 12.636L6.55521 10.938L9.50557 12.636C9.56342 12.6989 9.67912 12.6989 9.79482 12.6989C9.85267 12.6989 9.85267 12.6989 9.91052 12.6989C10.1998 12.636 10.4312 12.3215 10.3733 11.9442L9.79482 8.35967L12.1667 5.84419C12.2824 5.78131 12.3402 5.65553 12.3402 5.52976Z"
                fill="#DF3856"
              />
            </svg>
            <span class="f-12 mx-1"
              ><b>{{ product.rating.average }}</b></span
            >
            <span class="f-12">({{ product.rating.count }} نظر)</span>
          </div>
          <div>
            <span class="badge badge-danger-1"
              >{{ product.rating.signals }}٪</span
            >
          </div>
        </div>
        <!-- Price -->
        <div class="text-end">
          <i
            ><del>{{ product.primaryPrice }}</del></i
          >
          <b>{{ product.price }}</b>
          <img src="~/assets/images/toman.svg" alt="toman" />
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'ProductList',
  props: {
    product: {
      type: Object,
      required: true,
    },
  },
}
</script>

<style>
</style>